package middleware

import (
	"github.com/labstack/echo/v4"
)

func Apply(echoServer *echo.Echo) {
	echoServer.Use(RequestLogger())
	echoServer.Use(RequestMetrics())
	echoServer.Use(Tracing())
	echoServer.Use(Recover())
	echoServer.Use(Timeout())
	echoServer.Use(AugmentTraces())
	echoServer.Use(RequestID())
}
