package middleware

import (
	"gitlab.bit9.local/psc/platform/ems/device-service/internal/config"

	"github.com/labstack/echo/v4"
	"github.com/labstack/echo/v4/middleware"
	"github.com/spf13/viper"
)

func Timeout() echo.MiddlewareFunc {
	//nolint:exhaustruct // just need override for ErrorMessage and Timeout, defaults/nil ok for other
	return middleware.TimeoutWithConfig(middleware.TimeoutConfig{
		ErrorMessage: "timeout",
		Timeout:      viper.GetDuration(config.HTTPRequestTimeoutKey),
	})
}
