package model

type osMajorEnum int

const (
	osMajorXP      osMajorEnum = iota + 5 // 5
	osMajorWindows                        // 6
)

const (
	osMajorWindows10 osMajorEnum = iota + 1010 // 1010
	osMajorWindows11                           // 1011
)

const (
	osMajorMacOSX  osMajorEnum = iota + 10 // 10
	osMajorMacOS11                         // 11
	osMajorMacOS12                         // 12
	osMajorMacOS13                         // 13
	osMajorMacOS14                         // 14
)

const (
	osMajorUnknownRHEL        osMajorEnum = iota + 2000 // 2000
	osMajorUnknownUbuntu                                // 2001
	osMajorUnknownSUSE                                  // 2002
	osMajorUnknownAmazonLinux                           // 2003
	osMajorUnknownGoogleLinux                           // 2004
)

const (
	osMajorCentOS6 osMajorEnum = iota + 2106 // 2106
	osMajorCentOS7                           // 2107
	osMajorCentOS8                           // 2108
	osMajorCentOS9                           // 2109
)

const (
	osMajorRHEL6 osMajorEnum = iota + 2206 // 2206
	osMajorRHEL7                           // 2207
	osMajorRHEL8                           // 2208
	osMajorRHEL9                           // 2209
)

const (
	osMajorUbuntu12 osMajorEnum = iota + 2312 // 2312
	_                                         // 2313
	osMajorUbuntu14                           // 2314
	_                                         // 2315
	osMajorUbuntu16                           // 2316
	_                                         // 2317
	osMajorUbuntu18                           // 2318
	osMajorUbuntu19                           // 2319
	osMajorUbuntu20                           // 2320
	osMajorUbuntu21                           // 2321
	osMajorUbuntu22                           // 2322
)

const (
	osMajorSLES12 osMajorEnum = iota + 2412 // 2412
	_                                       // 2413
	_                                       // 2414
	osMajorSLES15                           // 2415
	osMajorSLES16                           // 2416
	osMajorSLES17                           // 2417
)

const (
	osMajorAmazonLinux2    osMajorEnum = iota + 2502 // 2502
	osMajorAmazonLinux3                              // 2503
	osMajorAmazonLinux2023 osMajorEnum = 2523        // 2523
)

const (
	osMajorOpenSUSELeap15 osMajorEnum = 2615 // 2615
	osMajorOpenSUSELeap42 osMajorEnum = 2642 // 2642
)

const (
	osMajorDebian8  osMajorEnum = iota + 2708 // 2708
	osMajorDebian9                            // 2709
	osMajorDebian10                           // 2710
	osMajorDebian11                           // 2711
)

const (
	osMajorOracle6 osMajorEnum = iota + 2806 // 2806
	osMajorOracle7                           // 2807
	osMajorOracle8                           // 2808
	osMajorOracle9                           // 2809
)

const (
	osMajorGoogleContainerOptimized osMajorEnum = iota + 2900 // 2900
)

const (
	osMajorVMwareESXi8 osMajorEnum = iota + 3008 // 3008
)

const (
	osMajorAlma8 osMajorEnum = iota + 3108 // 3108
	osMajorAlma9                           // 3109
)

const (
	osMajorRocky8 osMajorEnum = iota + 3208 // 3208
	osMajorRocky9                           // 3209
)

const (
	osMajorUnknown osMajorEnum = 21 // 21
)
