package model

const (
	DataFieldAgentLocation               = "AgentLocation"
	DataFieldAvLastScanTime              = "AvLastScanTime"
	DataFieldAvReachableServers          = "AvReachableServers"
	DataFieldAvStatus                    = "AvStatus"
	DataFieldAvUpdateServers             = "AvUpdateServers"
	DataFieldAvVersion                   = "AvVersion"
	DataFieldAvVersionMinor              = "AvVersionMinor"
	DataFieldDeviceIP                    = "DeviceIP"
	DataFieldDeviceType                  = "DeviceType"
	DataFieldEchoDummyResponse           = "EchoDummyResponse"
	DataFieldEmail                       = "Email"
	DataFieldExternallyAssignedDeviceID  = "ExternallyAssignedDeviceId"
	DataFieldHostname                    = "Hostname"
	DataFieldInfrastructureProvider      = "InfrastructureProvider"
	DataFieldIsVirtualMachine            = "IsVirtualMachine"
	DataFieldLastSensorResetTime         = "LastSensorResetTime"
	DataFieldLocalAddress                = "LocalAddress"
	DataFieldLoginUserName               = "LoginUserName"
	DataFieldMACAddress                  = "MacAddress"
	DataFieldMaintenanceRelease          = "MaintenanceRelease"
	DataFieldMessageType                 = "MessageType"
	DataFieldOrgKey                      = "OrgKey"
	DataFieldOriginalRequestMsgPack      = "OriginalRequestMsgPack"
	DataFieldOriginalRequestHeaders      = "OriginalRequestHeaders"
	DataFieldOriginalRequestHost         = "OriginalRequestHost"
	DataFieldOSBuildNumber               = "OsBuildNumber"
	DataFieldOSMajorVersion              = "OsMajorVersion"
	DataFieldOSMinorVersion              = "OsMinorVersion"
	DataFieldPlatformType                = "PlatformType"
	DataFieldPolicyName                  = "PolicyName"
	DataFieldProductVersion              = "ProductVersion"
	DataFieldQuarantined                 = "Quarantined"
	DataFieldRegistrationID              = "RegistrationID"
	DataFieldRootkitDetected             = "RootkitDetected"
	DataFieldSensorGatewayURL            = "SensorGatewayURL"
	DataFieldSensorGatewayUUID           = "SensorGatewayUUID"
	DataFieldSensorStatus                = "SensorStatus"
	DataFieldTimeReceived                = "TimeReceived"
	DataFieldTimeSent                    = "TimeSent"
	DataFieldTLSVersion                  = "TlsVersion"
	DataFieldUnifiedEndpointManagementID = "UnifiedEndpointManagementID"
	DataFieldVDIProvider                 = "VdiProvider"
	DataFieldVirtualizationProvider      = "VirtualizationProvider"
)

type (
// deviceStatus struct {
// 	// REQUIRED COMMON FIELDS
// 	AgentLocation      string `json:",omitempty"` // es
// 	DeviceGUID         string `json:"-"`
// 	DeviceType         string `json:",omitempty"` // db, es
// 	Hostname           string `json:",omitempty"` // db
// 	MaintenanceRelease string `json:",omitempty"` // db
// 	MessageType        string `json:"-"`
// 	OsMajorVersion     string `json:",omitempty"` // db
// 	OsMinorVersion     string `json:",omitempty"` // db
// 	PlatformType       string `json:",omitempty"` // db
// 	ProductVersion     string `json:",omitempty"` // db
// 	RegistrationID     string `json:"-"`          // device-id, for row lookup
// 	SubCode            string `json:"-"`
//  TimeSent           string `json:"-"`

// 	// OPTIONAL COMMON FIELDS
// 	EchoDummyResponse         string `json:"-"`          // for dry-run
// 	Email                     string `json:",omitempty"` // db, es
// 	LocalAddress              string `json:",omitempty"` // es
// 	Locale                    string `json:"-"`
// 	MessageID                 string `json:"-"` // for log/trace
// 	NewPolicyBlockedHashes    string `json:"-"`
// 	NewPolicyRestrictedHashes string `json:"-"`
// 	NewRunBlockedHashes       string `json:"-"`
// 	NewRunRestrictedHashes    string `json:"-"`
// 	PolicyBlockedHashes       string `json:"-"`
// 	PolicyRestrictedHashes    string `json:"-"`
// 	PreviousReportTime        string `json:"-"`
// 	Quarantined               string `json:",omitempty"` // es
// 	RootkitDetected           string `json:",omitempty"` // es
// 	RunBlockedHashes          string `json:"-"`
// 	RunRestrictedHashes       string `json:"-"`

// 	// V7 FIELDS
// 	LastUpdateTime string `json:"-"`

// 	// V10 FIELDS
// 	LastSensorResetTime string `json:",omitempty"` // es
// 	SensorStatus        string `json:",omitempty"` // es -- array

// 	// V13 FIELDS
// 	AvLastScanTime     string `json:",omitempty"` // es
// 	AvReachableServers string `json:",omitempty"` // es -- array
// 	AvStatus           string `json:",omitempty"` // es -- array
// 	AvUpdateServers    string `json:",omitempty"` // es -- array
// 	AvVersion          string `json:"-"`
// 	AvVersionMinor     string `json:"-"`
// 	PolicyName         string `json:",omitempty"` // es
// 	PolicyTimeStamp    string `json:"-"`

// 	// V17 FIELDS
// 	// Info                       string `json:",omitempty"` // es -- map
// 	ExternallyAssignedDeviceId string `json:",omitempty"` // es
// 	InfrastructureProvider     string `json:",omitempty"` // es
// 	IsVirtualMachine           string `json:",omitempty"` // es
//  VdiProvider                string `json:",omitempty"` // es
// 	VirtualizationProvider     string `json:",omitempty"` // es
// 	LastLiveQueryTime          string `json:"-"`

// 	// V18 FIELDS
// 	LoginUserName string `json:",omitempty"` // es
// 	OsBuildNumber string `json:",omitempty"` // db

// 	// V19 FIELDS
// 	UnifiedEndpointManagementID string `json:",omitempty"` // db, es

//		// EMD-API FIELDS
//		Env          string `json:"-"` // TBD, for db lookup
//		TraceCarrier string `json:"-"` // TBD, for trace
//	}
)
