package model

type platformEnum int

const (
	platformClientX86   platformEnum = iota + 1 // 1
	platformClientX64                           // 2
	platformServerX86                           // 3
	platformServerX64                           // 4
	platformClientARM64                         // 5
	platformServerARM64                         // 6
)

func (pe platformEnum) String() string {
	return []string{
		"",
		"x86",
		"x64",
		"x86",
		"x64",
		"arm64",
		"arm64",
	}[pe]
}
